[youtubei.js](../README.md) / Platform

# Class: Platform

Defined in: [src/utils/Utils.ts:15](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L15)

## Constructors

### Constructor

> **new Platform**(): `Platform`

#### Returns

`Platform`

## Accessors

### shim

#### Get Signature

> **get** `static` **shim**(): [`PlatformShim`](../youtubei.js/namespaces/Types/interfaces/PlatformShim.md)

Defined in: [src/utils/Utils.ts:20](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L20)

##### Returns

[`PlatformShim`](../youtubei.js/namespaces/Types/interfaces/PlatformShim.md)

## Methods

### load()

> `static` **load**(`platform`): `void`

Defined in: [src/utils/Utils.ts:16](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L16)

#### Parameters

##### platform

[`PlatformShim`](../youtubei.js/namespaces/Types/interfaces/PlatformShim.md)

#### Returns

`void`
